package org.amse.vbut.vzab.tests;

import junit.framework.*;
import org.amse.vbut.vzab.*;

public class BoardRectangleTests extends TestCase {

	public void test01() {
		
		BoardRectangle br = new BoardRectangle(0, 5, 10, 15);
		
		assertEquals(0, br.getX0());
		assertEquals(5, br.getY0());
		assertEquals(10, br.getX1());
		assertEquals(15, br.getY1());
	}

	public void test02() {
		BoardRectangle br = new BoardRectangle(0, 5, 10, 15);
		
		assertTrue(br.inRect(2, 12));
		assertTrue(br.inRect(0, 5));
		assertTrue(br.inRect(0, 15));
		assertTrue(br.inRect(10, 15));
		assertTrue(br.inRect(10, 5));
		
		assertFalse(br.inRect(2, 50));
		assertFalse(br.inRect(-2, 12));
	}

	public void test03() {
		BoardRectangle br = new BoardRectangle(0, 5, 10, 15);
		
		assertTrue(br.inRect( new BoardPoint(2, 12)));
		assertTrue(br.inRect( new BoardPoint(0, 5)));
		assertTrue(br.inRect( new BoardPoint(0, 15)));
		assertTrue(br.inRect( new BoardPoint(10, 15)));
		assertTrue(br.inRect( new BoardPoint(10, 5)));
		
		assertFalse(br.inRect( new BoardPoint(2, 50)));
		assertFalse(br.inRect( new BoardPoint(-2, 12)));
	}

}
