package org.amse.vbut.vzab.view.events;

import java.awt.event.ActionEvent;
import javax.swing.*;
import org.amse.vbut.vzab.view.*;
import org.amse.vbut.vzab.view.dialogs.EditPlayersListDialog;
import org.amse.vbut.vzab.io.*;

@SuppressWarnings("serial")
public class EditPlayersAction extends AbstractAction {

	private Viewer myView;
	
	public EditPlayersAction(Viewer view) {
		super("Edit players list", IOTools.loadIcon(Main.IMAGES_PATH + "/editplayers.png"));
		
		putValue(Action.SHORT_DESCRIPTION, "Edit players list");
		
		myView = view;
	}

	public void actionPerformed(ActionEvent arg0) {
		new EditPlayersListDialog(myView, myView.getPlayers());
		myView.updateView();
	}
	
}
