package org.amse.vbut.vzab.tests;

import org.amse.vbut.vzab.*;
import junit.framework.*;

public class BoardPointTests extends TestCase {

	public void test01() {
		BoardPoint bp = new BoardPoint(5, 8);
		
		assertEquals(5, bp.getX());
		assertEquals(8, bp.getY());
	}
	
	public void test02() {
		BoardPoint bp1 = new BoardPoint(5, 8);
		BoardPoint bp2 = new BoardPoint(5, 8);
		
		assertEquals(bp1, bp2);
		
		BoardPoint bp3 = new BoardPoint(8, 5);
		
		assertFalse(bp1.equals(bp3));
		assertFalse(bp2.equals(bp3));

		BoardPoint bp4 = new BoardPoint(15, 18);
		
		assertFalse(bp1.equals(bp4));
		assertFalse(bp2.equals(bp4));
}
	
}
